#ifndef CONFIGEDITOR_H
#define CONFIGEDITOR_H

#include <QLineEdit>

#include "filelineedit.h"
#include "configeditor/rpbonuswidget.h"

class XkorConfigEditor : public QWidget
{
	Q_OBJECT
	
	private:
		QLineEdit * configName;
		XkorFileLineEdit * startListDirectory;
		XkorRPBonusWidget * rpbonus;
		QString currentFileName;
		bool fileIsModified;
	private slots:
		bool okayToLoad();
		void setModified(bool isModified = true);
		void writeFile(QIODevice * dev);
		
	public:
		XkorConfigEditor(QWidget * parent = 0);
	signals:
		void fileChanged(QString filename); // loaded a new file
		void fileEdited(bool isModified); // changed the current file
	public slots:
		void openFile();
		void saveFile(QString filename = QString());
		void saveFileAs();
};

#endif
