#include "eventeditor/scorinatewidget.h"

#include <QHBoxLayout>
#include <QTextCodec>
#include <QTextStream>
#include "event.h"
#include "sport.h"
#include "xml_index.h"

XkorScorinateWidget::XkorScorinateWidget(QWidget * parent) : QWidget(parent)
{
	textedit = new QTextEdit;
	textedit->setReadOnly(true);
	
	QHBoxLayout * layout = new QHBoxLayout(this);
	layout->addWidget(textedit);
}

void XkorScorinateWidget::scorinate(QIODevice * dev)
{
	dev->open(QIODevice::ReadOnly);
	XkorEvent * event = new XkorEvent(dev);
	
	// make an index of sports
	XkorXmlIndex sports_ind;
	sports_ind.traverse("sports:./");
	
	// …and an index of start lists
	XkorXmlIndex startlist_ind;
	startlist_ind.traverse(event->getStartListDirectory());
	
	// load the sport
	XkorSport s(sports_ind.lookup(event->getSport()));
	
	// create the list of participants
	XkorResults r = event->makeStartLists(startlist_ind);
	
	// scorinate
	textedit->setHtml("<pre>" + r.scorinate(s) + "</pre>");
	
	delete event;
}

void XkorScorinateWidget::writeResults(QIODevice * dev)
{
	dev->open(QIODevice::WriteOnly);
	QTextStream ost(dev);
	ost.setCodec(QTextCodec::codecForName("UTF-8"));
	ost << textedit->document()->toPlainText();
}
