#ifndef STARTLISTWIDGET_H
#define STARTLISTWIDGET_H

#include <QStringList>

#include "abstracttreewidget.h"

class XkorStartListWidget : public XkorAbstractTreeWidget
{
	Q_OBJECT
	
	protected:
		QStringList availableStartLists;
		
		virtual void initItem(QTreeWidgetItem * item) { initItem(item, QString()); }
		virtual void initItem(QTreeWidgetItem * item, QString startList);
		virtual void setupLayout();
		virtual QString insertionText() { return tr("Add start list"); }
		virtual QString deletionText() { return tr("Remove start lists"); }
	public:
		XkorStartListWidget();
		void clearAvailableStartLists() { setAvailableStartLists(QStringList()); }
		void setAvailableStartLists(QStringList l);
		void setStartLists(std::vector<QString> startLists);
		std::vector<QString> startLists();
};

#endif
