#ifndef EXCEPTIONS_H
#define EXCEPTIONS_H

#include <QString>

#include <stdexcept>
#include <string>

class XkorFileNotFoundException : public std::logic_error
{
	private:
		QString filetype; // file type
		QString filename;
	public:
		XkorFileNotFoundException(std::string errorText, QString fileType, QString fileName);
		~XkorFileNotFoundException() throw() {;;;}
		QString getFileType();
		QString getFileName();
};

class XkorSearchFailedException : public std::logic_error
{
	public:
		XkorSearchFailedException(std::string errortext) : std::logic_error(errortext) {;;;}
		~XkorSearchFailedException() throw() {;;;}
};

#endif
