#ifndef FILELINEEDIT_H
#define FILELINEEDIT_H

#include <QHBoxLayout>
#include <QLineEdit>
#include <QToolButton>

class XkorFileLineEdit : public QWidget
{
	Q_OBJECT
	
	private:
		QLineEdit * le;
		QToolButton * browse;
		QString c, d, f; // caption, directory, filter for QFileDialog
		QHBoxLayout * layout;
		bool isDirectory;
		void init();
	public:
		XkorFileLineEdit(const QString & caption, const QString & directory); // get a directory
		XkorFileLineEdit(const QString & caption, const QString & directory, const QString & filter); // get a file
		~XkorFileLineEdit();
		void setText(const QString & newText);
		QString text() const;
	signals:
		void editingFinished();
		void textChanged(QString text);
	private slots:
		void leEditingFinished();
		void openBrowseDialog();
		void setTextChanged(QString text) { emit textChanged(text); }
};

#endif
