#include "results.h"

#include "outputformats/alpine.h"
#include "outputformats/biathlon.h"
#include "outputformats/bobsleigh.h"
#include "outputformats/ccski.h"
#include "outputformats/curling.h"
#include "outputformats/figureskating.h"
#include "outputformats/freestyleskiing.h"
#include "outputformats/halfpipe.h"
#include "outputformats/icehockey.h"
#include "outputformats/luge.h"
#include "outputformats/pgs.h"
#include "outputformats/pgsqual.h"
#include "outputformats/shorttrack.h"
#include "outputformats/skeleton.h"
#include "outputformats/skicross.h"
#include "outputformats/skijumping.h"
#include "outputformats/snowboardcross.h"
#include "outputformats/speedskateteampursuit.h"
#include "outputformats/speedskating.h"
#include "outputformats/standard.h"

QString XkorResults::scorinate(XkorSport & s)
{
	QString rval = this->name;
	rval += "\n";
	
	XkorAbstractOutputFormat * o;
	
	/* to add a new output format, you need to add it here and to the list of output types in eventeditor.cpp */
	
	if(outputType == "alpineSkiing")
		o = new XkorOutputAlpine;
	else if(outputType == "biathlon")
		o = new XkorOutputBiathlon;
	else if(outputType == "bobsleigh")
		o = new XkorOutputBobsleigh;
	else if(outputType == "crossCountrySkiing")
		o = new XkorOutputCrossCountrySkiing;
	else if(outputType == "curling")
		o = new XkorOutputCurling;
	else if(outputType == "figureSkating")
		o = new XkorOutputFigureSkating;
	else if(outputType == "freestyleSkiing")
		o = new XkorOutputFreestyleSkiing;
	else if(outputType == "halfpipe")
		o = new XkorOutputHalfpipe;
	else if(outputType == "iceHockey")
		o = new XkorOutputIceHockey<false>;
	else if(outputType == "iceHockey-ot")
		o = new XkorOutputIceHockey<true>;
	else if(outputType == "luge")
		o = new XkorOutputLuge;
	else if(outputType == "pgs")
		o = new XkorOutputPGS;
	else if(outputType == "pgsQual")
		o = new XkorOutputPGSQual;
	else if(outputType == "shortTrack")
		o = new XkorOutputShortTrack;
	else if(outputType == "skeleton")
		o = new XkorOutputSkeleton;
	else if(outputType == "skiCross")
		o = new XkorOutputSkiCross;
	else if(outputType == "skiJumping")
		o = new XkorOutputSkiJumping;
	else if(outputType == "snowboardCross")
		o = new XkorOutputSnowboardCross;
	else if(outputType == "speedSkating")
		o = new XkorOutputSpeedSkating;
	else if(outputType == "speedSkatingTeamPursuit")
		o = new XkorOutputSpeedSkateTeamPursuit;
	else
		o = new XkorOutputStandard;
	
	rval = o->output(this, s);
	delete o;
	
	return rval;
}
