#ifndef TABLEROW_H
#define TABLEROW_H

#include <QString>
#include <QStringList>
#include <vector>

#include "tablematch.h"

class XkorTableRow
{
	private:
		QString n; // name
		double w, d, l, gf, ga;
		std::vector<XkorTableMatch> h2hResults;
	public:
		XkorTableRow() : w(0), d(0), l(0), gf(0), ga(0) {;;;}
		XkorTableRow(QString name) : n(name), w(0), d(0), l(0), gf(0), ga(0) {;;;}
		double awayGoals() const;
		double draws() const;
		double goalsAgainst() const;
		double goalDifference() const;
		double goalsFor() const;
		double h2hAwayGoals(QStringList & teams) const;
		double h2hGoalDifference(QStringList & teams) const;
		double h2hGoalsFor(QStringList & teams) const;
		double h2hPoints(QStringList & teams) const;
		double h2hWins(QStringList & teams) const;
		void insertMatch(QString & t2name, double t1score, double t2score, bool home);
		double losses() const;
		QString name() const;
		double played() const;
		double points() const;
		std::pair<double, double> result(QString opponent) const;
		double wins() const;
};

#endif
