#include "xml/xmltablehandler.h"

bool XkorXmlTableHandler::startElement(const QString &, const QString & localName, const QString &, const QXmlAttributes & atts)
{
	if(localName == "column")
	{
		values["column>type"] = atts.value("type");
		values["column>width"] = atts.value("width");
	}
	openTags.insert(localName);
	return true;
}

bool XkorXmlTableHandler::endElement(const QString &, const QString & localName, const QString &)
{
	if(localName == "column")
	{
		columns.push_back(XkorTableColumn(values["column>type"], values["column"], values["column>width"].toUInt()));
		values["column"] = values["column>type"] = values["column>width"] = "";
	}
	else if(localName == "match")
	{
		matches.push_back(XkorTableMatch(values["home"], values["away"], values["homeScore"].toDouble(), values["awayScore"].toDouble()));
		values["home"] = values["away"] = values["homeScore"] = values["awayScore"] = "";
	}
	else if(localName == "sortCriterion")
	{
		sortCriteria.push_back(values["sortCriterion"]);
		values["sortCriterion"].clear();
	}
	openTags.erase(localName);
	return true;
}

std::vector<XkorTableColumn> XkorXmlTableHandler::getColumns()
{
	return columns;
}

std::vector<XkorTableMatch> XkorXmlTableHandler::getMatches()
{
	return matches;
}

double XkorXmlTableHandler::getPointsForWin()
{
	return values["pointsForWin"].toDouble();
}

double XkorXmlTableHandler::getPointsForDraw()
{
	return values["pointsForDraw"].toDouble();
}

double XkorXmlTableHandler::getPointsForLoss()
{
	return values["pointsForLoss"].toDouble();
}

std::vector<QString> XkorXmlTableHandler::getSortCriteria()
{
	return sortCriteria;
}
